Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.web.impl
Class DefaultServletContainerFactory

    java.lang.Object
      org.jboss.portal.web.impl.DefaultServletContainerFactory

All Implemented Interfaces:
  ServletContainerFactory

    public class DefaultServletContainerFactory

extends java.lang.Object
implements ServletContainerFactory

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Field Summary
`static DefaultServletContainerFactory` | `instance` .

Constructor Summary
`DefaultServletContainerFactory()`

Method Summary
`static ServletContainerFactory` | `getInstance()`
`ServletContainer` | `getServletContainer()` Returns the singleton instance.
`static void` | `registerContext(ServletContainerContext context)` Registers a servlet container context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final DefaultServletContainerFactory instance

  .

Constructor Detail

### DefaultServletContainerFactory

    public DefaultServletContainerFactory()

Method Detail

### getInstance

    public static ServletContainerFactory getInstance()

### getServletContainer

    public ServletContainer getServletContainer()

  Returns the singleton instance.

  Specified by:
    `getServletContainer` in interface `ServletContainerFactory`
  Returns:
    the singleton instance

### registerContext

    public static void registerContext(ServletContainerContext context)
                                throws java.lang.IllegalArgumentException

  Registers a servlet container context. The registration is considered as successful if no existing context is already registered.

  Parameters:
    `context` - the servlet container context to register
  Throws:
    `java.lang.IllegalArgumentException` - if the context is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.